---
title: monochrome
slug: Web/CSS/@media/monochrome
tags:
  - '@media'
  - CSS
  - Media Queries
  - Reference
  - media feature
---
<div>{{cssref}}</div>

<p>The <strong><code>monochrome</code></strong> <a href="/en-US/docs/CSS">CSS</a> <a href="/en-US/docs/Web/CSS/Media_Queries/Using_media_queries#Media_features">media feature</a> can be used to test the number of bits per pixel in the monochrome frame buffer of the output device.</p>

<h2 id="Syntax">Syntax</h2>

<p>The <code>monochrome</code> feature is specified as an {{cssxref("&lt;integer&gt;")}} representing the number of bits per pixel in the monochrome frame buffer. If the device is not a monochrome device, the value is zero. It is a range feature, meaning that you can also use the prefixed <strong><code>min-monochrome</code></strong> and <code><strong>max-monochrome</strong></code> variants to query minimum and maximum values, respectively.</p>

<h2 id="Examples">Examples</h2>

<h3 id="HTML">HTML</h3>

<pre class="brush: html notranslate">&lt;p class="mono"&gt;Your device supports monochrome pixels!&lt;/p&gt;
&lt;p class="no-mono"&gt;Your device doesn't support monochrome pixels.&lt;/p&gt;</pre>

<h3 id="CSS">CSS</h3>

<pre class="brush: css notranslate">p {
  display: none;
}

/* Any monochrome device */
@media (monochrome) {
  p.mono {
    display: block;
    color: #333;
  }
}

/* Any non-monochrome device */
@media (monochrome: 0) {
  p.no-mono {
    display: block;
    color: #ee3636;
  }
}</pre>

<h3 id="Result">Result</h3>

<p>{{EmbedLiveSample("Examples")}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('CSS4 Media Queries', '#monochrome', 'monochrome')}}</td>
   <td>{{Spec2('CSS4 Media Queries')}}</td>
   <td>The value can now be negative, in which case it computes to false.</td>
  </tr>
  <tr>
   <td>{{SpecName('CSS3 Media Queries', '#monochrome', 'monochrome')}}</td>
   <td>{{Spec2('CSS3 Media Queries')}}</td>
   <td>Initial definition. The value must be nonnegative.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("css.at-rules.media.monochrome")}}</p>
